Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511491 - Doc RFE - Document how to use gdeploy set up geo-replication
Summary: Doc RFE - Document how to use gdeploy set up geo-replication
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Pratik Mulay
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:01 UTC by Anjana Suparna Sriram
Modified: 2019-04-11 08:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Anjana Suparna Sriram 2017-11-09 13:01:21 UTC
Additional information: 

Use Case: As an administrator, I want to use gdeploy set up geo-replication.
This use case includes providing concept, task, and example information for the following user objectives:
- installing gdeploy
- creating a geo-replication setting
- secure user
- root user
- setting coDoc RFE - Document  how to use gdeploy set up geo-replicationnfiguration options
- sessions
- starting
- stopping
- pausing
- deleting
- resume
- failover (promoting a slave to master)
- failback (resuming master and slave back to their original state)

PoC: Sac

Comment 9 Devyani Kota 2018-02-08 07:54:44 UTC
@Atin, this[1] would be the BZ tracking geo-replication RFE for gdeploy.
We are working on the same, will update this issue once it is fixed. Thanks.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1475724

Comment 10 Devyani Kota 2018-02-09 17:23:37 UTC
@all,
logged a BZ[1] to track the issue of failing geo-rep setup using gdeploy.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1543975

Comment 11 Atin Mukherjee 2018-02-12 05:58:34 UTC
Devyani - Now that we're aware of what fix has to be done (be it through documentation or code changes as I see a conflicting view here from Sac and you :-) ), can we please provide an estimate back to CCS team on when the content can be provided back to take the doc RFE to completion?

Comment 13 Devyani Kota 2018-02-12 10:19:40 UTC
@Atin, considering the fact that it is a code change, we will be packaging gdeploy along with this patch for the next release which would be end of next week.
So I'd say two weeks would be an estimate for content(build) to be ready. Thanks.

Comment 15 Devyani Kota 2018-02-26 10:55:16 UTC
We plan to make the async build available by end of this week.
gdeploy-2.0.2-23, will be available for testing with the new fixes including the geo-replication fix.


Note You need to log in before you can comment on or make changes to this bug.